aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrancesco Colista <francesco.colista@gmail.com>2013-02-24 21:09:57 +0000
committerFrancesco Colista <francesco.colista@gmail.com>2013-02-24 21:09:57 +0000
commitd44bc08344a7c95f79e42545e416298e2da0da76 (patch)
tree486d4ec61826d0066dba3a8ecd273d02487f21a3
parent3d17aa89a092c1a9cb9e590c6a09427955d53ee0 (diff)
downloadaports-d44bc08344a7c95f79e42545e416298e2da0da76.tar.gz
aports-d44bc08344a7c95f79e42545e416298e2da0da76.tar.bz2
aports-d44bc08344a7c95f79e42545e416298e2da0da76.tar.xz
testing/salt: new aport
-rw-r--r--testing/salt/APKBUILD76
-rw-r--r--testing/salt/salt-master.confd5
-rw-r--r--testing/salt/salt-master.initd14
-rw-r--r--testing/salt/salt-minion.confd5
-rw-r--r--testing/salt/salt-minion.initd13
-rw-r--r--testing/salt/salt-syndic.confd5
-rw-r--r--testing/salt/salt-syndic.initd13
7 files changed, 131 insertions, 0 deletions
diff --git a/testing/salt/APKBUILD b/testing/salt/APKBUILD
new file mode 100644
index 0000000000..4889a91454
--- /dev/null
+++ b/testing/salt/APKBUILD
@@ -0,0 +1,76 @@
+# Contributor: Francesco Colista <francesco.colista@gmail.com>
+# Maintainer: Francesco Colista <francesco.colista@gmail.com>
+pkgname=salt
+pkgver=0.13.1
+pkgrel=0
+pkgdesc="A remote execution and communication system built on zeromq"
+url="https://github.com/saltstack/salt"
+arch="noarch"
+license="APACHE"
+depends=""
+depends_dev="python-dev py-zmq py-m2crypto py-crypto py-psutil py-jinja2 py-yaml py-msgpack"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://pypi.python.org/packages/source/s/${pkgname}/${pkgname}-${pkgver}.tar.gz
+ salt-master.initd
+ salt-master.confd
+ salt-minion.initd
+ salt-minion.confd
+ salt-syndic.initd
+ salt-syndic.confd"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build
+
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --root=$pkgdir/ --optimize=1
+ mkdir -p ${pkgdir}/etc/rc.d/
+ cp ${srcdir}/salt-master.initd ${pkgdir}/etc/rc.d/salt-master
+ cp ${srcdir}/salt-minion.initd ${pkgdir}/etc/rc.d/salt-minion
+ cp ${srcdir}/salt-syndic.initd ${pkgdir}/etc/rc.d/salt-syndic
+ chmod +x ${pkgdir}/etc/rc.d/salt-master
+ chmod +x ${pkgdir}/etc/rc.d/salt-minion
+ chmod +x ${pkgdir}/etc/rc.d/salt-syndic
+
+ mkdir -p ${pkgdir}/etc/salt/
+ cp ${srcdir}/${pkgname}-${pkgver}/conf/master ${pkgdir}/etc/salt/
+ cp ${srcdir}/${pkgname}-${pkgver}/conf/minion ${pkgdir}/etc/salt/
+}
+
+md5sums="3919ee94e6c32d182a6e410065ba888d salt-0.13.1.tar.gz
+60c1746631ada93c0e10739105b3b51f salt-master.initd
+7bb58f256213aaaa23d86d5127c9ffe3 salt-master.confd
+5f7a6c2ac98f9f95bf5d414c3faba674 salt-minion.initd
+75badf5042aa93a6da74659ca12bef70 salt-minion.confd
+22009e8d782b990295faf1bd8290e63d salt-syndic.initd
+a24d13b018a35b31b34167bcaa749db5 salt-syndic.confd"
+sha256sums="944caedffef0d3d4ecdb34e3cf32749e32cdddf5b78fee759f43f63a3fd0430c salt-0.13.1.tar.gz
+ff835f1c6defa190f19b381c119ccc049a0c13209d3e1f1d012c6fb20b990e77 salt-master.initd
+383475b21261ac22c5930e99060d53630dfb35aac67aa03a18ec738e0f4dff50 salt-master.confd
+1e927cf84e4baa368384d148b1b4ca544b53678f5f99280cc3e271ad28010161 salt-minion.initd
+286148f5391d42c04a62a13cc125fa2130b5821e50da913c5a20d3a913e5f2d1 salt-minion.confd
+c9f76eadde7ab72728810dcefcf482f7e06afa398080b9866dd3424b924ac92e salt-syndic.initd
+66a663c426e2fa157ea78f7f9b2f33f17b72dbc48e119f8dd2609aab8f8370e7 salt-syndic.confd"
+sha512sums="7fc4e63683f25b323e9717fe71e5bf397c60484f0cc65dec9f8a1a0b2f978d231a7a4f847abd523a5406d7afc80a7e38525fe480feeced28b6ed753c84931e4d salt-0.13.1.tar.gz
+ad29c44fe995be6ec9161b307519b6225d7d7a82b7e9342bac2f12cbd2a16ff675f880890765caa41304a5c30293340b5e8436f8cf01be19d9c039b5ca4cd41c salt-master.initd
+cfbbeb8023a383e7c42d84e3346edfd068c9ec7650c4ddc3caa38534da325a67497e1f06ca02cc1f0941b7348a3af6d1dca7cd6f2bcb3612ca10e1ec98997e5a salt-master.confd
+1d5ea1cd4dfac33ba93b391bfa36ba6ae0b5fc9399762fa0a4ac4165842da82550810264ccb63036b6ff1bc4f4c56aedee79900676894880832f1fb51c487130 salt-minion.initd
+0051e13351cef8db81dc075a194bb384723f07d5591b5b4d3f3adf4180afaf7beced470ab79ceca9d1ec0dae62dbd72084eb76af009fc78411a011050a94a2ed salt-minion.confd
+b91a423031555a810c343f49eafc1e95b3a48f1491c42b5979240f73998b6c4cde679a886234020de7136df83b3da7f92590f9dee345f694678f4b386e5defb2 salt-syndic.initd
+bafc6ea10cdafd0aef868feb35aecbe4ae6a7dff0ae42862bded85715ad763eb89e1ed27437866a7e5f2b9f7064e3c2a3fb59814487744ba4227238d95cf3818 salt-syndic.confd"
diff --git a/testing/salt/salt-master.confd b/testing/salt/salt-master.confd
new file mode 100644
index 0000000000..e7fc8180a5
--- /dev/null
+++ b/testing/salt/salt-master.confd
@@ -0,0 +1,5 @@
+# /etc/conf.d/salt-master: config file for /etc/init.d/salt-master
+# See man pages for salt-minion or run `salt-master --help`
+# for valid cmdline options
+
+SALT_OPTS="--log-level=warning"
diff --git a/testing/salt/salt-master.initd b/testing/salt/salt-master.initd
new file mode 100644
index 0000000000..dad3b345ce
--- /dev/null
+++ b/testing/salt/salt-master.initd
@@ -0,0 +1,14 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-admin/salt/files/master-initd-1,v 1.1 2012/04/24 23:37:27 chutzpah Exp $
+
+command="/usr/bin/salt-master"
+command_args="--daemon ${SALT_OPTS}"
+pidfile="/var/run/salt-master.pid"
+name="SALT master daemon"
+
+depend() {
+ use net
+}
+
diff --git a/testing/salt/salt-minion.confd b/testing/salt/salt-minion.confd
new file mode 100644
index 0000000000..d69d83fcd6
--- /dev/null
+++ b/testing/salt/salt-minion.confd
@@ -0,0 +1,5 @@
+# /etc/conf.d/salt-minion: config file for /etc/init.d/salt-minion
+
+# see man pages for salt-minion or run `salt-minion --help`
+# for valid cmdline options
+SALT_OPTS="--log-level=warning"
diff --git a/testing/salt/salt-minion.initd b/testing/salt/salt-minion.initd
new file mode 100644
index 0000000000..a7f1e37ceb
--- /dev/null
+++ b/testing/salt/salt-minion.initd
@@ -0,0 +1,13 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-admin/salt/files/minion-initd-1,v 1.1 2012/04/24 23:37:27 chutzpah Exp $
+
+command="/usr/bin/salt-minion"
+command_args="--daemon ${SALT_OPTS}"
+pidfile="/var/run/salt-minion.pid"
+name="SALT minion daemon"
+
+depend() {
+ need net
+}
diff --git a/testing/salt/salt-syndic.confd b/testing/salt/salt-syndic.confd
new file mode 100644
index 0000000000..534d3f527a
--- /dev/null
+++ b/testing/salt/salt-syndic.confd
@@ -0,0 +1,5 @@
+# /etc/conf.d/salt-minion: config file for /etc/init.d/salt-sundic
+
+# see man pages for salt-minion or run `salt-syndic --help`
+# for valid cmdline options
+SALT_OPTS="--log-level=warning"
diff --git a/testing/salt/salt-syndic.initd b/testing/salt/salt-syndic.initd
new file mode 100644
index 0000000000..d8fdd77574
--- /dev/null
+++ b/testing/salt/salt-syndic.initd
@@ -0,0 +1,13 @@
+#!/sbin/runscript
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-admin/salt/files/syndic-initd-1,v 1.1 2012/04/24 23:37:27 chutzpah Exp $
+
+command="/usr/bin/salt-syndic"
+command_args="--daemon ${SALT_OPTS}"
+pidfile="/var/run/salt-syndic.pid"
+name="SALT syndic daemon"
+
+depend() {
+ use net
+}